KuikCodeDocs
APIReferenceCodes

Create a code

POST
/codes

Creates a dynamic KuikCode. The destination is a URL, a KuikPage, or smart rules (PRO) that send scans to different places by device, country, language, time, date, weekday, scan count or location. Send an Idempotency-Key header to make retries safe.

Authorization

apiKey
AuthorizationBearer <token>

An API key from Settings, Developers: Authorization: Bearer kc_live_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/codes" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "destination": {      "type": "url",      "url": "http://example.com"    }  }'
{  "id": "string",  "shortCode": "string",  "name": "string",  "scanUrl": "string",  "destination": {    "type": "string",    "url": "string",    "pageId": "string",    "fallbackUrl": "string",    "rules": [      {        "name": "string",        "url": "http://example.com",        "conditions": [          {            "type": "time",            "operator": "before",            "value": "string",            "valueEnd": "string"          }        ],        "joins": [          "and"        ]      }    ],    "summary": "string"  },  "folderId": "string",  "tags": [    "string"  ],  "archived": true,  "hasAccessCode": true,  "previewUrl": "string",  "scans": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "design": {    "kind": "auto",    "archetype": "string",    "palette": [      "string"    ],    "scanVerified": true  },  "warnings": [    "string"  ]}